⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request POST \
--url https://api.propops.app/api/users/appearance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form uuid=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--form csrf_token=abc123def456 \
--form banner_file='@example-file' \
--form clear_banner=false \
--form 'dashboard_bg_custom=linear-gradient(135deg, #667eea 0%, #764ba2 100%)'{
"success": true,
"message": "Operation completed successfully"
}Update dashboard appearance settings or upload a custom banner image.
Required permission: api.users.appearance.manage
curl --request POST \
--url https://api.propops.app/api/users/appearance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form uuid=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--form csrf_token=abc123def456 \
--form banner_file='@example-file' \
--form clear_banner=false \
--form 'dashboard_bg_custom=linear-gradient(135deg, #667eea 0%, #764ba2 100%)'{
"success": true,
"message": "Operation completed successfully"
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...